> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get index detail



## OpenAPI

````yaml /api/openapi.json get /api/indexes/{indexId}
openapi: 3.1.0
info:
  description: HTTP API for the Rootprint log management platform.
  title: Rootprint API
  version: 0.4.0
servers:
  - description: Rootprint API
    url: https://example.com
security:
  - cookieAuth: []
paths:
  /api/indexes/{indexId}:
    get:
      tags:
        - Index management
      summary: Get index detail
      operationId: getApiIndexesByIndexId
      parameters:
        - in: path
          name: indexId
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexDetailResponse'
          description: Successful response
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    IndexDetailResponse:
      properties:
        commitTimeoutSecs:
          anyOf:
            - type: number
            - type: 'null'
        contextFields:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        defaultSearchFields:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        displayName:
          anyOf:
            - type: string
            - type: 'null'
        dynamicMapping:
          anyOf:
            - $ref: '#/components/schemas/DynamicMappingSchema'
            - type: 'null'
        fields:
          items:
            $ref: '#/components/schemas/IndexFieldSchema'
          type: array
        indexFieldPresence:
          anyOf:
            - type: boolean
            - type: 'null'
        indexId:
          type: string
        indexUri:
          anyOf:
            - type: string
            - type: 'null'
        isTraceIndex:
          type: boolean
        levelField:
          type: string
        maxNumPartitions:
          anyOf:
            - type: number
            - type: 'null'
        messageField:
          type: string
        mode:
          anyOf:
            - type: string
            - type: 'null'
        partitionKey:
          anyOf:
            - type: string
            - type: 'null'
        retention:
          anyOf:
            - properties:
                period:
                  type: string
                schedule:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - period
                - schedule
              type: object
            - type: 'null'
        sources:
          items:
            $ref: '#/components/schemas/IndexSourceSchema'
          type: array
        storeSource:
          anyOf:
            - type: boolean
            - type: 'null'
        tagFields:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        timestampField:
          anyOf:
            - type: string
            - type: 'null'
        traceIdField:
          type: string
        tracebackField:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - indexId
        - displayName
        - isTraceIndex
        - levelField
        - messageField
        - tracebackField
        - contextFields
        - traceIdField
        - indexUri
        - timestampField
        - mode
        - partitionKey
        - maxNumPartitions
        - dynamicMapping
        - tagFields
        - defaultSearchFields
        - storeSource
        - indexFieldPresence
        - commitTimeoutSecs
        - retention
        - fields
        - sources
      type: object
    DynamicMappingSchema:
      properties:
        expandDots:
          type: boolean
        fast:
          type: boolean
        indexed:
          type: boolean
        record:
          type: string
        stored:
          type: boolean
        tokenizer:
          type: string
      required:
        - indexed
        - stored
        - fast
        - tokenizer
        - record
        - expandDots
      type: object
    IndexFieldSchema:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
        fast:
          type: boolean
        name:
          type: string
        type:
          type: string
      required:
        - name
        - type
        - fast
        - description
      type: object
    IndexSourceSchema:
      properties:
        enabled:
          type: boolean
        sourceId:
          type: string
        sourceType:
          type: string
      required:
        - sourceId
        - sourceType
        - enabled
      type: object
    ApiErrorBody:
      properties:
        error:
          properties:
            code:
              type: string
            details:
              items:
                properties:
                  message:
                    type: string
                  path:
                    type: string
                required:
                  - path
                  - message
                type: object
              type: array
            message:
              type: string
            requestId:
              type: string
            statusCode:
              type: number
          required:
            - code
            - message
            - statusCode
            - requestId
          type: object
      required:
        - error
      type: object
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Request validation failed
    Unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Authentication required
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Permission denied
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Resource not found
    InternalError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Internal server error
    ServiceUnavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Upstream service unavailable
  securitySchemes:
    cookieAuth:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````